/**
 * PETALS - PETALS Services Platform. Copyright (c) 2005 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * ---------------------------------------------------------------------------
 * ---------------------------------------------------------------------------
 */
package org.ow2.petals.component.framework.util;

import java.net.URL;
import java.net.URLClassLoader;
import java.security.PrivilegedAction;

/**
 * @author Frederic Gardes
 *
 */
public class ComponentPrivilegedAction implements PrivilegedAction<URLClassLoader> {

    private URL[] urls = null;

    private ClassLoader parent = null;

    public ComponentPrivilegedAction(final String rootPath, final ClassLoader parent) {
        super();
        this.urls = ClassLoaderUtil.getUrls(rootPath);
        this.parent = parent;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.security.PrivilegedAction#run()
     */
    public URLClassLoader run() {
        return new URLClassLoader(this.urls, this.parent);
    }
}
